# The software `TinyScheme Extensions` was packaged for LibreCMC by
# Christopher Howard <christopher.howard@qlfiles.net> in June 2018.

# This package configuration file is licensed under the GPL-3+.

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# The upstream author of `TinyScheme Extensions` is Heras-Gilsanz
# <manuel@heras-gilsanz.com>

include $(TOPDIR)/rules.mk

PKG_NAME:=tinyscheme-extensions
PKG_VERSION:=1.1
PKG_RELEASE:=1

PKG_BUILD_DIR:=$(BUILD_DIR)/tsx-$(PKG_VERSION)
PKG_SOURCE:=tsx-$(PKG_VERSION).tgz
PKG_SOURCE_URL:=http://heras-gilsanz.com/manuel
PKG_HASH:=f7e396a3ab41fb5eac3ef7020da0808766bd6ac2f5e5f7c9d80511df17f4a79b
PKG_CAT:=zcat
PKG_LICENSE:=BSD-3-Clause
PKG_LICENSE_FILES:=LICENSE

include $(INCLUDE_DIR)/package.mk

define Package/tinyscheme-extensions
	SECTION:=lang
	CATEGORY:=Languages
	TITLE:=TinyScheme Extensions
	URL:=http://heras-gilsanz.com/manuel/tsx.html
	MAINTAINER=Christopher Howard <christopher.howard@qlfiles.net>
	DEPENDS:=tinyscheme
endef

define Package/tinyscheme-extensions/description
TSX is a set of extensions for the TinyScheme implementation (as an
interpreter) of the Scheme programming language
endef

# May need to override SCHEME_H_DIR if tinyscheme version ever changes

define Build/Compile
	$(call Build/Compile/Default,CFLAGS='-fPIC -Wall')
endef

define Package/tinyscheme-extensions/install
	$(INSTALL_DIR) $(1)/usr/lib/tinyscheme
	$(INSTALL_DATA) $(PKG_BUILD_DIR)/tsx.so $(1)/usr/lib/tinyscheme/tsx.so
endef

$(eval $(call BuildPackage,tinyscheme-extensions))
